Skip to content
Start here

List all AI Gateway Dynamic Route Versions.

ai_gateway.dynamic_routing.list_versions(strid, DynamicRoutingListVersionsParams**kwargs) -> DynamicRoutingListVersionsResponse
GET/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/routes/{id}/versions

List all AI Gateway Dynamic Route Versions.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway WriteAI Gateway Read
ParametersExpand Collapse
account_id: str
gateway_id: str
id: str
ReturnsExpand Collapse
class DynamicRoutingListVersionsResponse:
data: Data
order_by: str
order_by_direction: str
page: float
per_page: float
versions: List[DataVersion]
active: Literal["true", "false"]
One of the following:
"true"
"false"
created_at: str
data: str
version_id: str
success: bool

List all AI Gateway Dynamic Route Versions.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.ai_gateway.dynamic_routing.list_versions(
    id="54442216",
    account_id="0d37909e38d3e99c29fa2cd343ac421a",
    gateway_id="54442216",
)
print(response.data)
{
  "data": {
    "order_by": "order_by",
    "order_by_direction": "order_by_direction",
    "page": 0,
    "per_page": 0,
    "versions": [
      {
        "active": "true",
        "created_at": "created_at",
        "data": "data",
        "version_id": "version_id"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "data": {
    "order_by": "order_by",
    "order_by_direction": "order_by_direction",
    "page": 0,
    "per_page": 0,
    "versions": [
      {
        "active": "true",
        "created_at": "created_at",
        "data": "data",
        "version_id": "version_id"
      }
    ]
  },
  "success": true
}